Subject: Re: modifying the log

From: [email-masked] (David W. Tamkin)
Date: Tue, 12 Jul 1994 23:54:35 -0500 (CDT)

| I have several recipes that result in really long, ugly, and
| unreadable logfile output.  For example, a recipe to unpack a mime
| message results in:
|
| From dmm0t  Tue Jul 12 16:07:30 1994
|  Subject: Dilbert: 940712 Technology columnist (1/1)
|   Folder:  (cd $MAILDIR/News/dilbert; munpack -q -t -f >/dev/null 2>&1) 81545

| Is there a way to manually change the Folder: entry to something
| shorter and more expressive (in this case, "Folder: dilbert" would be
| ideal)?

If you have no other rcfiles on the command line,

 :c and whatever other flags you already had
 * whatever conditions
 | (cd $MAILDIR/News/dilbert; munpack -q -t -f >/dev/null 2>&1)

# You probably didn't need the parentheses there, but let's continue ...

 :A
 { LASTFOLDER=dilbert HOST=delete }

| I suppose I could do something like
|
| LOGABSTRACT=no
| LOG=`formail -X "From "`
| LOG=" `formail -X Subject:`"
| LOG="  Folder: dilbert"
|
| but that's kind of a horrible kludge.

If you must take that route, at least do it like this and call formail only
once, though you sacrifice the indentation:

LOGABSTRACT=no
LOG=`formail -X "From " -X Subject:`"
  Folder: dilbert
"

| David M. Meyer

Probably not a fan of Gail Parent, are you?

David W. Tamkin  P. O. Box 3284  Skokie IL  60076-6284
[email-masked]   MCI Mail: 426-1818   +1 312 714 5610